This object is in archive! 
Upvote 2

PCRE 7.9 , problem for installation ?

Archived Jasper Wilms 9 years ago

Dear UseResponse


my hosting is on PCRE 7.9. They will not upgrade to 8.x for at least 2 months.

Your HostingTestProbe showed a red problem-icon yesterday, when i tested it.


- should i try in install anyways? - Ive bought your product yesterday and i need to deploy it fast. Will it work?


- in case it will work, do you expect problems afterwards if the hoster upgrades its servers from PCRE 7.9 to 8.x ?


thanx !

Best Answer
photo

There are multiple ways to resolve this problem:

  1. Open installation/index.php and edit look for if (version_compare(PCRE_VERSION, '8') == -1) { replacing '8' with '7'
  2. We may also contact your hosting provider (if you send us their contact details and information required for them to identify your hosting account) and try to convince them to upgrade PCRE.
  3. In case your hosting account type allows in-depth server configuration via SSH (typically available on VPS, dedicated and cloud hosting types) - you can purchase "Installation Credit" and provide us with access credentials to your server, so we'll upgrade your PCRE extension ourselves.

Replies (5)

photo
1

There are multiple ways to resolve this problem:

  1. Open installation/index.php and edit look for if (version_compare(PCRE_VERSION, '8') == -1) { replacing '8' with '7'
  2. We may also contact your hosting provider (if you send us their contact details and information required for them to identify your hosting account) and try to convince them to upgrade PCRE.
  3. In case your hosting account type allows in-depth server configuration via SSH (typically available on VPS, dedicated and cloud hosting types) - you can purchase "Installation Credit" and provide us with access credentials to your server, so we'll upgrade your PCRE extension ourselves.

photo
1

Hi Paul


thanx for the quick reply .


  • In case i change version from 8 to 7, in index.php , will there be trouble when my hoster upgrades it ? (They are planning to do so within a few weeks, but not sure exactly)
  • in case you into my server via SSH (ive just asked the hoster if its possible), will that give any problems later on when the hoster upgrades all their servers to togo PCRE 8?

photo
1

PCRE version requirement was enforced to have latest possible PCRE version, because we've encountered problems with some hosting envirnoments with PCRE v6 which is too outdated. There's a good chance that changing PCRE version check in installation script will be sufficient.


There shouldn't be any problems for you or your hoster, when they will have their planned PCRE upgrade.

photo
1

it seems everything worked out fine , even on 7.9


cheers

photo
1

You are welcome!

Replies have been locked on this page!